ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmitry Lysnichenko (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-10349) RU: Block users from installing a Version with the same existing Version
Date Fri, 03 Apr 2015 15:27:53 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-10349?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Dmitry Lysnichenko updated AMBARI-10349:
----------------------------------------
    Attachment: AMBARI-10349.patch

> RU: Block users from installing a Version with the same existing Version
> ------------------------------------------------------------------------
>
>                 Key: AMBARI-10349
>                 URL: https://issues.apache.org/jira/browse/AMBARI-10349
>             Project: Ambari
>          Issue Type: Improvement
>          Components: ambari-server
>            Reporter: Dmitry Lysnichenko
>            Assignee: Dmitry Lysnichenko
>             Fix For: 2.1.0
>
>         Attachments: AMBARI-10349.patch
>
>
> When creating a Version, if a user accidentally, or unknowingly uses the same repo, or
a repo that has RPM's with the same version as the current Version, it can be installed successfully.
The result is that rolling upgrades will fail as the versions show up the same in hdp-select
because the packages are the same.
> Validate either on Version "registration" or on attempted Version "install" that the
software in the repository match an already existing registered version.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message